std::basic_ios::~basic_ios(3)

NAME
std::basic_ios::~basic_ios - std::basic_ios::~basic_ios

Synopsis
   virtual ~basic_ios();
   Destroys the basic_ios object. No operations on rdbuf are performed, it is not
   destroyed.

Notes
   This destructor is virtual because the base class destructor, ios_base::~ios_base is
   virtual.